Product updates

Developer Changelog

Keep track of changes and upgrades to the Zoom Developer platform. You can also subscribe to our Changelog RSS feed below.


Commerce

New and enhanced fields added across Commerce APIs

API release

Summary:This update adds new request and response fields across multiple Commerce APIs to enhance data handling and integration. Key additions include `deployment_partner_crm_account_number`, `professional_services`, `renewal_term`, pagination fields (`page_number`, `page_size`, `date_to`), and new financial or status fields like `tcv`, `total_net_amount`, and `status`—improving quote, order, and deal registration workflows.

Enhancements

  • New deployment_partner_crm_account_number response field in the following Quote APIs:
    • GET /v2/commerce/quotes/{quoteReferenceId}
    • GET /v2/commerce/quotes/{quoteReferenceId}
  • New professional_services request field in the following Order APIs:
    • POST /v2/commerce/order/preview
    • POST /v2/commerce/order/preview
  • New deployment_partner_crm_account_number request field in the following Order APIs:
    • POST /v2/commerce/order
    • POST /v2/commerce/order
  • New date_to,page_number,page_size request fields in the following Deal Registration API:
    • GET /v2/commerce/deal_registrations
  • New trial_id response field in the following Subscription APIs:
    • GET /v2/commerce/trials/{trialReferenceId}
    • GET /v2/commerce/trials
  • New renewal_term request field in the following Quote APIs:
    • POST /v2/commerce/quote
    • POST /v2/commerce/quote/preview
    • PATCH /v2/commerce/quotes/{quoteReferenceId}
  • New professional_services_delivered_by request field in the following Deal Registration APIs:
    • PATCH /v2/commerce/deal_registrations/{dealRegKey}
    • POST /v2/commerce/deal_registration
  • New renewal_term,total_net_amount response fields in the following Order API:
    • GET /v2/commerce/orders/{orderReferenceId}
  • New page_number request field in the following Subscription API:
    • GET /v2/commerce/trials
  • New tcv response field in the following Order API:
    • GET /v2/commerce/orders
  • New status response field in the following Account Management API:
    • GET /v2/commerce/accounts
  • New deployment_partner_crm_account_number response field in the following Order APIs:
    • GET /v2/commerce/orders/{orderReferenceId}
    • GET /v2/commerce/orders/{orderReferenceId}
  • New deployment_partner_crm_account_number request field in the following Quote APIs:
    • POST /v2/commerce/quote
    • POST /v2/commerce/quote
    • POST /v2/commerce/quote/preview
    • POST /v2/commerce/quote/preview
    • PATCH /v2/commerce/quotes/{quoteReferenceId}
    • PATCH /v2/commerce/quotes/{quoteReferenceId}
  • New professional_services_delivered_by response field in the following Deal Registration API:
    • GET /v2/commerce/deal_registrations/{dealRegKey}
  • New renewal_term request field in the following Order APIs:
    • POST /v2/commerce/order
    • POST /v2/commerce/order/preview
  • New renewal_term response field in the following Quote API:
    • GET /v2/commerce/quotes/{quoteReferenceId}
  • New z_product_class response field in the following Product Catalog APIs:
    • GET /v2/commerce/catalog/{offerId}
    • POST /v2/commerce/catalog